Get Asset Group
Get one asset group by ID. Only groups the current user can access are returned.
Get a single asset group by ID. Only groups the current user can access are returned. The response does not include the internal primary key.
Base URL
https://api.autorouter.top— Production
Authentication
BearerAuth: http (bearer)
Authenticate using a Bearer Token.
Format: Authorization: Bearer sk-xxxxxx
Endpoints
GET /seedance/v1/asset-group/{groupId}
Get Asset Group
Return the group name, type, description, and creation time.
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
groupId | string | Yes | Asset group ID (Volcano asset group ID) |
Responses
200: Success
Content-Type: application/json
Request examples
curl -X GET "https://api.autorouter.top/seedance/v1/asset-group/{groupId}" \
-H "Authorization: Bearer sk-xxxxxx"Response examples
{
"requestId": "a9c502bc-3025-486a-b89e-d143c9001016",
"state": "OK",
"errorCode": null,
"errorMessage": null,
"body": {
"groupId": "group-20260728104222-7xprw",
"groupType": "AIGC",
"groupName": "test",
"description": "",
"createdTime": "2026-07-01 17:07:18",
"updatedTime": "2026-07-01 17:07:22"
}
}Response fields:
| Name | Type | Description |
|---|---|---|
requestId | string | Request ID |
state | string | Call status. OK means success, ERROR means failure |
errorCode | string | Error code. Empty string or null on success |
errorMessage | string | Error message. Empty string or null on success |
body | object | Asset group |
body. | string | Volcano asset group ID |
body. | string | Asset group type: AIGC or LivenessFace |
body. | string | Asset group name |
body. | string | Asset group description |
body. | string | Creation time, format yyyy-MM-dd HH:mm:ss |
body. | string | Update time, format yyyy-MM-dd HH:mm:ss |
statestring
Call status. OK means success, ERROR means failure
OK: SuccessERROR: Failure. CheckerrorCodeanderrorMessage
bodyobject
Asset group
Volcano asset group ID
Asset group type: AIGC or LivenessFace
AIGC: Virtual portrait libraryLivenessFace: Real-person library
Asset group name
Asset group description
Creation time, format yyyy-MM-dd HH:mm:ss
Update time, format yyyy-MM-dd HH:mm:ss
Error handling
When the HTTP status is 200, still check state in the response body.
state | Description |
|---|---|
OK | The call succeeded. Business data is in body |
ERROR | The call failed. errorCode is the error code and errorMessage is the error message |
On success, errorCode and errorMessage may be an empty string or null.